org.apache.maven.scm.provider.hg.command.inventory

## Class HgOutgoingConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.inventory.HgOutgoingConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class HgOutgoingConsumer
    extends HgConsumer

Get a list of outgoing changes

Author:
  Laurent Perez

### Constructor Summary

Constructors
Constructor and Description
`HgOutgoingConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<HgChangeSet>` `getChanges()`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`doConsume, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgOutgoingConsumer

    public HgOutgoingConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Description copied from class: `HgConsumer`

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
Overrides:
  `consumeLine` in class `HgConsumer`

#### getChanges

    public List<HgChangeSet> getChanges()